import { Map as SDKMap } from '@maptiler/sdk';
import { GeocodingControlBase } from './base-control';
import { MaplibreglGeocodingControl } from './maplibregl-control';
import { MaptilerGeocodingControlOptions } from './maptilersdk-options';
export declare class MaptilerGeocodingControl extends MaplibreglGeocodingControl implements GeocodingControlBase<MaptilerGeocodingControlOptions> {
    #private;
    constructor(options?: MaptilerGeocodingControlOptions);
    /** @internal Not to be called directly */
    onAdd(map: SDKMap): HTMLElement;
    /** @internal Not to be called directly */
    onRemove(): void;
    getOptions: () => MaptilerGeocodingControlOptions;
    setOptions(options: MaptilerGeocodingControlOptions): void;
}
